## matecomponent-wrapper matecomponent-wrapper |

## Synopsis

                        MateComponentWrapperPrivate;
                        MateComponentWrapper;
                        MateComponentWrapperClass;
    GtkWidget *         matecomponent_wrapper_new                  (void);
    void                matecomponent_wrapper_set_covered          (MateComponentWrapper *wrapper,
                                                             gboolean covered);
    gboolean            matecomponent_wrapper_is_covered           (MateComponentWrapper *wrapper);
    gboolean            matecomponent_wrapper_get_visibility       (MateComponentWrapper *wrapper);
    void                matecomponent_wrapper_set_visibility       (MateComponentWrapper *wrapper,
                                                             gboolean visible);

## Description

## Details

### MateComponentWrapperPrivate

    typedef struct _MateComponentWrapperPrivate MateComponentWrapperPrivate;

### MateComponentWrapper

    typedef struct {
    	GtkBin bin;

    	/* Private data. */
    	MateComponentWrapperPrivate *priv;
    } MateComponentWrapper;

### MateComponentWrapperClass

    typedef struct {
    	GtkBinClass parent_class;
    } MateComponentWrapperClass;

### matecomponent_wrapper_new ()

    GtkWidget *         matecomponent_wrapper_new                  (void);

Returns : |

### matecomponent_wrapper_set_covered ()

    void                matecomponent_wrapper_set_covered          (MateComponentWrapper *wrapper,
                                                             gboolean covered);

`wrapper` : |
`covered` : |

### matecomponent_wrapper_is_covered ()

    gboolean            matecomponent_wrapper_is_covered           (MateComponentWrapper *wrapper);

`wrapper` : |
Returns : |

### matecomponent_wrapper_get_visibility ()

    gboolean            matecomponent_wrapper_get_visibility       (MateComponentWrapper *wrapper);

`wrapper` : |
Returns : |

### matecomponent_wrapper_set_visibility ()

    void                matecomponent_wrapper_set_visibility       (MateComponentWrapper *wrapper,
                                                             gboolean visible);

`wrapper` : |
`visible` : |